TONTONDocs
TON CenterAPI referenceUtilities

Detect hash

Validate a hash and return it in all standard formats.

GET
/api/v2/detectHash

Query Parameters

hash*string

A 256-bit hash value. Accepts either hex format (64 characters) or base64 format (44 characters). Used for block hashes, transaction hashes, and cryptographic proofs.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/detectHash?hash=b113a994b5024a16719f69139328eb759596c38a25f59028b146fecdc3621dfe"
{
  "ok": true,
  "result": {
    "@type": "ext.utils.detectedHash",
    "b64": "string",
    "b64url": "string",
    "hex": "string"
  },
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 422,
  "error": "empty address"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}

Last updated on

On this page

No Headings